#include <iostream>
#include<bits/stdc++.h>
using namespace std;

int main()
{

ios_base::sync_with_stdio(0);
cin.tie(0);
int n,q,x,y;
scanf("%d",&n);
int a[100001], b[100001];
b[1]=0;
scanf("%d",&a[1]);
for(int i=2;i<=n;i++)
{
    scanf("%d",&a[i]);
    if(a[i]<a[i-1])b[i]=b[i-1]+1;
    else b[i]=b[i-1];
}
scanf("%d",&q);
for(int i=0;i<q;i++)
{
    scanf("%d%d",&x,&y);
if(b[y]-b[x]>1)printf("NE\n");
else printf("DA\n");

}
    return 0;
}